﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace MediaPlayerTestChapters
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			ObservableCollection<Chapter> chapters = new ObservableCollection<Chapter>
			{
				new Chapter{Title="Chapter 1", Position= TimeSpan.FromMinutes(2)},
				new Chapter{Title="Chapter 2", Position= TimeSpan.FromMinutes(10)},
				new Chapter{Title="Chapter 3", Position= TimeSpan.FromMinutes(20)},
			};

			foreach (Chapter chap in chapters)
			{
				RadMediaChapter chapter = new RadMediaChapter();
				chapter.Position = chap.Position;
				chapter.Content = chap.Title;
				chapter.Tag = chap.ChapterID.ToString();
				media.Items.Add(chapter);

				RadMediaChapter chapter1 = new RadMediaChapter();
				chapter1.Position = chap.Position;
				chapter1.Content = chap.Title;
				chapter1.Tag = chap.ChapterID.ToString();
				media1.Items.Add(chapter1);
			}

			window.Show();
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			window1.Show();
		}
	}

	public class Chapter
	{
		public int ChapterID { get; set; }
		public string Title { get; set; }
		public TimeSpan Position { get; set; }
	}
}
